%global pname   remote
%global __provides_exclude_from ^%{vdr_plugindir}/.*\\.so.*$

Name:           vdr-%{pname}
Version:        0.5.0
Release:        1%{?dist}
Summary:        Extended remote control plugin for VDR

License:        GPL+
URL:            http://www.escape-edv.de/endriss/vdr/
Source0:        http://www.escape-edv.de/endriss/vdr/%{name}-%{version}.tgz
Source1:        %{name}.conf
Source2:        %{name}-udev.rules
# Status query mail sent to upstream and Debian patchkit maintainer 2008-10-25
Patch0:         http://zap.tartarus.org/~ds/debian/dists/stable/main/source/vdr-plugin-remote_0.3.8-3.ds.diff.gz

BuildRequires:  vdr-devel >= 1.6.0-41
BuildRequires:  gettext
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}
Requires:       udev

%description
This plugin extends VDR's remote control capabilities, adding support
for Linux input devices, keyboards (tty), TCP connections, and LIRC.


%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

patch -p1 -i debian/patches/02_no_abort.dpatch
sed -i \
    -e 's/0\.3\.8/0.5.0/g' \
    -e 's/"Remote control"/trNOOP("Remote control")/' \
    debian/patches/04_constness.dpatch
patch -p1 -i debian/patches/04_constness.dpatch

sed -i -e 's|include Make.config|include $(VDRDIR)/Make.config|' Makefile

for f in CONTRIBUTORS HISTORY ; do
    iconv -f iso-8859-1 -t utf-8 $f > $f.utf-8 ; mv $f.utf-8 $f
done


%build
make %{?_smp_mflags} OLD_I18N= VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so


%install

make install OLD_I18N= LIBDIR=$RPM_BUILD_ROOT%{vdr_plugindir} \
    LOCDIR=$RPM_BUILD_ROOT%{vdr_localedir}

install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
sed -e 's/VDR_GROUP/%{vdr_group}/' < %{SOURCE2} \
  > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/52-%{name}.rules
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/*-%{name}.rules

%find_lang %{name}


%files -f %{name}.lang
%doc CONTRIBUTORS COPYING FAQ HISTORY README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%config(noreplace) %{_sysconfdir}/udev/rules.d/*-%{name}.rules
%{vdr_plugindir}/libvdr-%{pname}.so.%{vdr_apiversion}


%changelog
* Wed Dec 26 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.5.0-1
- Update to 0.5.0.

* Tue Oct 02 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-23
- Rebuild.

* Thu Sep 13 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-22
- Rebuild.

* Thu Jul 19 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-21
- Rebuild.

* Wed Jun 27 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-20
- Rebuild.

* Tue Mar 27 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-19
- Rebuild.

* Sun Mar 11 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-18
- Rebuild.

* Tue Mar  6 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-17
- Rebuild.

* Mon Feb 20 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-16
- Rebuild.

* Sun Jan 15 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-15
- Rebuild.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec  4 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-13
- Rebuild.

* Sun Nov  6 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-12
- Clean up specfile constructs no longer needed with Fedora or EL6+.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 17 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-10
- Make config more likely to work out of the box in common setups.

* Thu Sep  3 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-9
- Filter out autoprovided libvdr-*.so.* (if %%filter_setup is available).

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-8
- Use ISA qualified dependency to vdr(abi).
- Use %%global instead of %%define.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 30 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-5
- First Fedora build (#466974).
- Add specfile comments about patch statuses.
- Prune pre-0.4.0 %%changelog entries.

* Sat Oct 25 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-4
- Use ATTRS, not SYSFS in example udev rules.

* Tue Oct 14 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-3
- Fix install of localizations when built with 1.6.x.
- Add example udev rules file, improve sysconfig snippet docs.

* Mon Aug 04 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info - 0.4.0-2
- rebuild

* Tue Apr  8 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.4.0-1
- 0.4.0.
- Build for VDR 1.6.0.
